<bugID>943285<Summary>Add-ons overlaying toolbar buttons directly onto the addon-bar lose their positions because they get evicted every time</Summary><Description>(In reply to :Gijs Kruitbosch from bug 854226 comment #22)
&gt; (In reply to klonos from bug 854226 comment #21)
&gt; &gt; I'm seeing various similar issues with addon buttons returning to the same
&gt; &gt; position after browser restart no matter where they were moved (such an
&gt; &gt; example addon is Wappalyzer)
&gt; 
&gt; I had a look, and Wappalyzer directly overlays the add-on bar. I didn't
&gt; think of this case when I wrote the shim that manages stuff that gets added
&gt; to the add-on bar, so it's probably not handled in the best way. I'll
&gt; investigate this further in a separate bug.</Description></bugID>